Internal server error

Philipp Minkus
I'm New Here
I'm New Here
Those new to the Atlassian Community have posted less than three times. Give them a warm welcome!
March 20, 2024

Hello,

I installed the Server Version of Bamboo 6.8.1 with Eclipse Adoptium\jdk-21.0.2.13-hotspot. When I follow the Setup Wizard, after entering the license I get

Method "execute" failed for object com.atlassian.bamboo.ww2.actions.setup.SetupGeneralConfiguration@36ab6c3f [java.lang.ExceptionInInitializerError]
Caused by: java.lang.ExceptionInInitializerError

 It would be very nice if you could help me.

Best Regards,

Philipp Minkus

1 answer

1 accepted

0 votes
Answer accepted
Anik Sengupta
Atlassian Team
Atlassian Team members are employees working across the company in a wide variety of roles.
March 20, 2024

Hello Phillip,

Welcome to Atlassian community.

It's can be an issue related to Java version, please use 1.8u250 and below, versions 1.8u254+ cause overflow at H2 DB, see https://jira.atlassian.com/browse/BAM-21018

Another solution is to use non embedded DB like PostgreSQL or use Bamboo 7.1.1+

Please check the requirements for Bamboo 6.8 https://confluence.atlassian.com/bamboo0608/supported-platforms-970618658.html

Regards,

Anik Sengupta

**please don't forget to Accept the answer if your query was answered**

Suggest an answer

Log in or Sign up to answer
TAGS
AUG Leaders

Atlassian Community Events